1

jre7-openjdk Conflict/dependency issues

view story
linux-howto

https://bbs.archlinux.org – I have installed all 3, but the relevant line (as in my original post) is:package_jdk7-openjdk() { pkgdesc="Free Java environment based on OpenJDK 7.0 with IcedTea7 replacing binary plugs - SDK" depends=('jre7-openjdk') provides=('java-environment=7') conflicts=('java-environment') # replaces=('openjdk6')This seems to stop it being recognised as providing "java-environment" which seems odd, and may indeed be a Pacman issue. (The packages that complain about a lack of "java-environment" don't seem to care whic (HowTos)